%define upstream_name    Continuity
%define upstream_version 1.6

%global __provides_exclude perl\\(HTTP::Daemon.*\\)
# no requires from doc:
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Mix callbacks into the Continuity request object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Coro) >= 4.370.0
BuildRequires: perl(Coro::Event)
BuildRequires: perl(Event)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Daemon) >= 1.360.0
BuildRequires: perl(HTTP::Status)
BuildRequires: perl-devel

BuildArch: noarch
Obsoletes: perl-Continuity < 1.600.0-2

%description
Continuity is a library to simplify web applications. Each session is
written and runs as a persistent application, and is able to request
additional input at any time without exiting. This is significantly
different from the traditional CGI model of web applications in which a
program is restarted for each new request.

The program is passed a '$request' variable which holds the request
(including any form data) sent from the browser. In concept, this is a lot
like a '$cgi' object from CGI.pm with one very very significant difference.
At any point in the code you can call $request->next. Your program will
then suspend, waiting for the next request in the session. Since the
program doesn't actually halt, all state is preserved, including lexicals
-- getting input from the browser is then similar to doing '$line = <>' in
a command-line application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.600.0-4.mga6
+ Revision: 1024328
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.600.0-3.mga6
+ Revision: 970236
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 sander85 <sander85> 1.600.0-2.mga6
+ Revision: 885377
- Convert to noarch package

* Tue Jul 07 2015 sander85 <sander85> 1.600.0-1.mga6
+ Revision: 852567
- update to 1.6

* Sun Oct 19 2014 pterjan <pterjan> 1.500.0-10.mga5
+ Revision: 791902
- Rebuild to fix broken dependencies

* Sun Oct 19 2014 umeabot <umeabot> 1.500.0-9.mga5
+ Revision: 789398
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.500.0-8.mga5
+ Revision: 749183
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 1.500.0-7.mga5
+ Revision: 736593
- add excludes

* Wed Oct 01 2014 tv <tv> 1.500.0-6.mga5
+ Revision: 733996
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.500.0-5.mga5
+ Revision: 684009
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.500.0-4.mga4
+ Revision: 510235
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.500.0-3.mga3
+ Revision: 364746
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.500.0-2.mga3
+ Revision: 295201
- adding missing buildrequires:
- remove bogus provides

* Wed Jul 11 2012 shlomif <shlomif> 1.500.0-1.mga3
+ Revision: 269485
- imported package perl-Continuity


* Wed Jul 11 2012 cpan2dist 1.5-1mga
- initial mageia release, generated with cpan2dist
